الانتقال إلى المحتوى الرئيسي
POST
/
openai
/
embeddings
Creates an embedding vector representing the input text.
curl --request POST \
  --url https://api.acedata.cloud/openai/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "text-embedding-3-small",
  "input": "<string>",
  "encoding_format": "float",
  "dimensions": 2
}
'
{ "object": "list", "data": [ { "object": "embedding", "index": 0, "embedding": [ 0.0023064255, -0.009327292, 0.015271, 0.001234 ] } ], "model": "text-embedding-3-small", "usage": { "prompt_tokens": 9, "total_tokens": 9 }, "created": 1714500000 }

التفويضات

Authorization
string
header
مطلوب

الترويسات

accept
enum<string>

Specifies the format of the response from the server.

الخيارات المتاحة:
application/json

الجسم

application/json
model
enum<string>
مطلوب

ID of the embedding model to use (e.g., text-embedding-3-small, text-embedding-3-large).

الخيارات المتاحة:
text-embedding-3-small,
text-embedding-3-large,
text-embedding-ada-002
input
string
مطلوب

Input to embed: a single string, an array of strings, or token arrays.

encoding_format
enum<string>
افتراضي:float

Format of the returned embeddings.

الخيارات المتاحة:
float,
base64
dimensions
integer

Optional output embedding size when supported by the model.

النطاق المطلوب: x >= 1

الاستجابة

Embeddings created successfully.

object
enum<string>
مطلوب

Type of the returned object.

الخيارات المتاحة:
list
data
object[]
مطلوب
model
string
مطلوب

Model used to generate the embeddings.

usage
object
مطلوب
created
integer
مطلوب

Unix timestamp (seconds) when the embeddings were created.